diff options
author | Richard Purdie <richard.purdie@linuxfoundation.org> | 2015-03-26 14:18:30 +0000 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2015-03-29 23:07:17 +0100 |
commit | dd8099ca3092fbd5c685e5ef1b1c5a8185a6893d (patch) | |
tree | c612a6a55f253cdeebe446809fec5aa7899ada61 /meta/classes/autotools.bbclass | |
parent | 3a50ec5f0142cc3a74b405dbdff264f8f862edfa (diff) | |
download | openembedded-core-contrib-dd8099ca3092fbd5c685e5ef1b1c5a8185a6893d.tar.gz |
autotools: Avoid find race for S = "${WORKDIR}"
For recipes with PACKAGES_remove = "${PN}", the find which removes .la files
can race against deletion of other directories in WORKDIR e.g.:
find: '/home/autobuilder/yocto-autobuilder/yocto-worker/nightly-oe-selftest/build/build/tmp/work/qemux86_64-poky-linux/init-ifupdown/1.0-r7/sstate-build-populate_lic': No such file or directory
| WARNING: /home/autobuilder/yocto-autobuilder/yocto-worker/nightly-oe-selftest/build/build/tmp/work/qemux86_64-poky-linux/init-ifupdown/1.0-r7/temp/run.do_configure.6558:1 exit 1 from
| find /home/autobuilder/yocto-autobuilder/yocto-worker/nightly-oe-selftest/build/build/tmp/work/qemux86_64-poky-linux/init-ifupdown/1.0-r7 -name \*.la -delete
The simplest fix is to add the find option which ignores these kind of races.
[YOCTO #7522]
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/classes/autotools.bbclass')
-rw-r--r-- | meta/classes/autotools.bbclass | 2 |
1 files changed, 1 insertions, 1 deletions
diff --git a/meta/classes/autotools.bbclass b/meta/classes/autotools.bbclass index 046e83dc9b2..bb129fb245f 100644 --- a/meta/classes/autotools.bbclass +++ b/meta/classes/autotools.bbclass @@ -86,7 +86,7 @@ oe_runconf () { ${CACHED_CONFIGUREVARS} $cfgscript ${CONFIGUREOPTS} ${EXTRA_OECONF} "$@" if [ "$?" != "0" ]; then echo "Configure failed. The contents of all config.log files follows to aid debugging" - find ${S} -name config.log -print -exec cat {} \; + find ${S} -ignore_readdir_race -name config.log -print -exec cat {} \; bbfatal "oe_runconf failed" fi set -e |